#include <cstdlib>
#include <iostream>
#include <string>

#include "../nascii85.hpp"


int main(int argc, char* argv[]) {
    std::string s;
    std::getline(std::cin, s);

    if (s.empty() == true) return 0;
    unsigned int l = s.size();

    bool is_digit = true;
    for (unsigned int i = 0; i < l; ++i) {
	if ((s[i] < '0') || (s[i] > '9')) {
	    is_digit = false;
	    break;
	}
    } // for

    if (is_digit) {
	unsigned int d = std::atoi(s.c_str());
	std::cout << d << " -> " << nascii85_encode(d) << std::endl;
    } else {
	if (l % 5 != 0) return 0;
	unsigned int* d = new unsigned int[l / 5];
	nascii85_decode(s, d, l / 5);
	std::cout << s << " ->";
	for (unsigned int i = 0; i < l / 5; ++i) std::cout << " " << d[i];
	std::cout << std::endl;
	delete[] d;
    }

    return 0;
} // main
