#include <iostream>
#include "../SequenceCodec.hpp"

int main(int argc, char* argv[]) {
    std::string s;
    SequenceCodec SQ;
    while (std::getline(std::cin, s)) {
	std::string c = SQ.code(s);
	std::string n = SQ.decode(c);
	if (s != n) {
	    std::cerr << "ERROR: " << s << " " << c << " " << n << std::endl;
	} else {
	    std::cerr << "OK: " << s << " " << c << " " << n << std::endl;
	}
    }
    return 0;
} // main
